import request from '@/utils/request'


/*
草稿箱接口
@author:梁逸
@date：2020-7-15
 */

// 查询【草稿箱全部】列表
export function listInfo(query) {
  return request({
    url: '/system/email/caogao/list',
    method: 'get',
    params: query
  })
}

// 查询【根据id查询】详细
export function getInfo(mailGuid) {
  return request({
    url: '/system/email/caogao/' + mailGuid,
    method: 'get'
  })
}


// 修改【草稿】
export function updateInfo(data) {
  return request({
    url: '/system/email/caogao',
    method: 'put',
    data: data
  })
}


// 删除【根据id删除草稿】
export function delInfo(mailGuid) {
  return request({
    url: '/system/email/caogao/' + mailGuid,
    method: 'delete'
  })
}

// 新增【草稿】
export function addInfo(data) {
  return request({
    url: '/system/email/caogao',
    method: 'post',
    data: data
  })
}





// 导出【请填写功能名称】
// export function exportInfo(query) {
//   return request({
//     url: '/system/email/caogao/export',
//     method: 'get',
//     params: query
//   })
// }
